> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all subaccounts

> Fetch all collection subaccount



## OpenAPI

````yaml get /subaccounts
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /subaccounts:
    get:
      tags:
        - Collection Subaccounts
      summary: Fetch all subaccounts
      description: Fetch all collection subaccount
      operationId: Fetchallsubaccounts
      parameters: []
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '3103'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"c1f-GTlST7yRXkLnIbm8mbDc+A"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 23 Jan 2020 17:24:03 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/SampleSuccessResponse19'
      deprecated: false
components:
  schemas:
    SampleSuccessResponse19:
      title: SampleSuccessResponse19
      required:
        - status
        - message
        - meta
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        meta:
          $ref: '#/components/schemas/Meta22'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data52'
          description: ''
    Meta22:
      title: Meta22
      required:
        - page_info
      type: object
      properties:
        page_info:
          $ref: '#/components/schemas/PageInfo'
      example:
        page_info:
          total: 158
          current_page: 1
          total_pages: 16
    Data52:
      title: Data52
      required:
        - id
        - account_number
        - account_bank
        - business_name
        - full_name
        - created_at
        - meta
        - account_id
        - split_ratio
        - split_type
        - split_value
        - subaccount_id
        - bank_name
        - country
      type: object
      properties:
        id:
          type: integer
          format: int32
        account_number:
          type: string
        account_bank:
          type: string
        business_name:
          type: string
        full_name:
          type: string
        created_at:
          type: string
        meta:
          type: array
          items:
            $ref: '#/components/schemas/Meta30'
          description: ''
        account_id:
          type: integer
          format: int32
        split_ratio:
          type: integer
          format: int32
        split_type:
          type: string
        split_value:
          oneOf:
            - type: number
            - type: integer
              format: int32
        subaccount_id:
          type: string
        bank_name:
          type: string
        country:
          type: string
      example:
        id: 2181
        account_number: '0690000037'
        account_bank: '044'
        business_name: Eternal Blue
        full_name: Ibra Mili
        created_at: '2020-01-20T06:47:56.000Z'
        meta:
          - meta_name: mem_adr
            meta_value: '0x16241F327213'
        account_id: 88747
        split_ratio: 1
        split_type: percentage
        split_value: 0.5
        subaccount_id: RS_9BD2ACE480785E759A16FDE1874A6657
        bank_name: ACCESS BANK NIGERIA
        country: NG
    PageInfo:
      title: PageInfo
      required:
        - total
        - current_page
        - total_pages
      type: object
      properties:
        total:
          type: integer
          format: int32
        current_page:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
      example:
        total: 158
        current_page: 1
        total_pages: 16
    Meta30:
      title: Meta30
      type: object
      properties:
        meta_name:
          type: string
        meta_value:
          type: string
        swift_code:
          type: string
      example:
        meta_name: mem_adr
        meta_value: '0x16241F327213'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````